#Drivers directory
drivers.dir=jb.config/lib

#jonas.properties global properties
jonas.services=jtm,db,security,resource,ejb3,jaxws,web,ear,depmonitor
jonas.security.propagation=true
jonas.security.manager=false
jonas.csiv2.propagation=true
jonas.log.configfile=trace
jonas.transaction.propagation=true
jonas.development=true
#Jms
jms.port=16010
jms.topics=InvoiceTopic
jms.queues=OrderApprovalQueue,OrdersQueue,MailCompletedOrderQueue,SupPurchaseOrderQueue,MailOrderApprovalQueue,MailQueue

#Carol
carol.allport=1099
carol.defaultprotocol=jrmp
carol.jrmpopt=false
carol.localregistry=true

#Web
webcontainer.port=9000
# Tomcat/Jetty
webcontainer.service.defaultname=tomcat
webcontainer.ondemandenabled=true
webcontainer.ondemanderedirectport=0
#Db
db.port=9001

#Discovery
discovery.sourceport=9888
discovery.greetingport=9899
discovery.mcastaddr=224.224.224.224
discovery.mcastport=9080
discovery.ttl=1

#Database
rajdbc.defaultname=hsql

#DB connections through RAR

rajdbc.hsql.user=jonas
rajdbc.hsql.password=jonas
rajdbc.hsql.url=jdbc:hsqldb:hsql://localhost:9001/db_jonas
rajdbc.hsql.drivername=org.hsqldb.jdbcDriver
rajdbc.hsql.jndiname=jdbc_1
rajdbc.hsql.jdbcdriverjarfile=none
rajdbc.hsql.mappername=rdb.hsql

rajdbc.postgresql.user=jonas
rajdbc.postgresql.password=jonas
rajdbc.postgresql.url=jdbc:postgresql://localhost:5433/db_jonas
rajdbc.postgresql.drivername=org.postgresql.Driver
rajdbc.postgresql.jndiname=jdbc_1
rajdbc.postgresql.jdbcdriverjarfile=postgresql.jar
rajdbc.postgresql.mappername=rdb.postgresql

rajdbc.oracle.user=jonas
rajdbc.oracle.password=jonas
rajdbc.oracle.url=jdbc:oracle:thin:@localhost:1521:db_jonas
rajdbc.oracle.drivername=oracle.jdbc.driver.OracleDriver
rajdbc.oracle.jndiname=jdbc_1
rajdbc.oracle.jdbcdriverjarfile=ojdbc5.jar
rajdbc.oracle.mappername=rdb.oracle

rajdbc.mysql.user=root
rajdbc.mysql.password=
rajdbc.mysql.url=jdbc:mysql:http://localhost:3306/db_jonas
rajdbc.mysql.drivername=org.gjt.mm.mysql.Driver
rajdbc.mysql.jndiname=jdbc_1
rajdbc.mysql.jdbcdriverjarfile=mysql-connector-java.jar
rajdbc.mysql.mappername=rdb.mysql

#DB connections through datasource XML

xmljdbc.hsql.name=jdbc_1
xmljdbc.hsql.username=jonas
xmljdbc.hsql.password=jonas
xmljdbc.hsql.url=jdbc:hsqldb:hsql://localhost:9001/db_jonas
xmljdbc.hsql.mapper=rdb.hsql
xmljdbc.hsql.classname=org.hsqldb.jdbcDriver
xmljdbc.hsql.conteststmt=select count(1) from information_schema.system_tables
xmljdbc.hsql.connmaxage=1440
xmljdbc.hsql.conchecklevel=2
xmljdbc.hsql.initconpool=10
xmljdbc.hsql.minconpool=10
xmljdbc.hsql.maxconpool=100
xmljdbc.hsql.maxopentime=60
xmljdbc.hsql.maxwaiters=100
xmljdbc.hsql.maxwaitingtime=5
xmljdbc.hsql.pstmtmax=100
xmljdbc.hsql.samplingperiod=100

#Mail
mail.session.name=mailSession_1
mail.mimepartds.name=mailMimePartDS_1
mail.to=jean.dupont@ow2.org
mail.subject=test mail
mail.host=localhost


#Wsdl
wsdl.file.name=file1
wsdl.file.dir=/tmp/

#Cluster daemon configuration
cluster.daemon.protocol=jrmp
cluster.daemon.port=1806
cluster.daemon.interactionMode=loosely-coupled
discovery.domainName=jonas

